=== debian/changelog ===
icedtea-web (1.6.2-3ubuntu1) xenial; urgency=medium

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Apr 2016 18:22:41 +0200

icedtea-web (1.6.2-3) unstable; urgency=medium

  * icedtea-netx: Remove the alternative openjdk-7-jre dependency.
    Closes: #816451.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Apr 2016 18:15:51 +0200

icedtea-web (1.6.2-2ubuntu1) xenial; urgency=medium

  * Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 13:58:00 +0100

icedtea-web (1.6.2-2) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't try to handle alternatives for openjdk-7; we'll remove it anyway.
    Closes: #813887, #813906, #813941.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 13:23:48 +0100

icedtea-web (1.6.2-1) unstable; urgency=medium

  * IcedTea-Web 1.6.2 release.
  * Build using openjdk-8, stop building the plugin for openjdk-7.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Feb 2016 09:25:32 +0100

icedtea-web (1.6.1-4) unstable; urgency=medium

  * Update to the tip of the 1.6 branch.
    - Apparently fixed running http://www.java.com/en/download/installed.jsp.
      Closes: #805608.
  * icedtea-netx: Don't ship any binaries in /usr/bin.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jan 2016 13:31:49 +0100

icedtea-web (1.6.1-3) unstable; urgency=medium

  * icedtea-netx: Fix postinst script. Closes: #812854.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Jan 2016 12:22:35 +0100

icedtea-web (1.6.1-2) unstable; urgency=medium

  * Update the copyright file.
  * Fix quoting (building the docs).
  * Build only the english docs and man pages.
  * icedtea-8-plugin: Fix postinst script.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Jan 2016 00:25:15 +0100

icedtea-web (1.6.1-1) unstable; urgency=medium

  * IcedTea-Web 1.6.1 release.
    - CVE-2015-5234: applet URL sanitization issue
    - CVE-2015-5235: unsigned applet origin issue. Closes: #798467.
  * Build using npapi-sdk-dev. Closes: #754367.
  * Build a icedtea-8-plugin package.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Jan 2016 13:55:17 +0100

icedtea-web (1.5.3-0ubuntu1) xenial; urgency=medium

  * Updated to upstream version 1.5.3 to fix two security issues:
    - CVE-2015-5234: applet URL sanitization issue
    - CVE-2015-5235: unsigned applet origin issue

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Nov 2015 13:01:10 -0500

icedtea-web (1.5.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix alternatives handling in icedtea-netx.postinst.in
    (closes: #778631).

 -- Gilles Filippini <pini@debian.org>  Sun, 22 Mar 2015 08:55:55 +0100
