## icedtea-web 1.7.2

=== debian/changelog ===
icedtea-web (1.7.2-2) unstable; urgency=medium

  * Team upload.
  * Fixed the installation of the CLI tools alternatives (Closes: #924706)
  * Improved the package description (Closes: #706306)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 18 Mar 2019 00:57:12 +0100

icedtea-web (1.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Fixed the build failure with Java 11 (Closes: #912549)
  * Added the missing dependency on a Java runtime (Closes: #912464)
  * icedtea-netx now provides icedtea-netx-common (Closes: #911995)
  * Enabled the enhanced XML parser based on Tagsoup
  * Enabled Proxy Auto Config support with Rhino (Closes: #673415)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 15 Mar 2019 23:44:27 +0100

icedtea-web (1.7.1-1) unstable; urgency=medium

  * Team upload.

  [ Vincent Privat ]
  * IcedTea-Web 1.7.1 release (Closes: #886109).
  * Build using default-jdk (Closes: #894360).
  * Add support for openjdk-10.
  * Drop support of browser plugin (deprecated technology).
  * Drop unneeded patches.
  * Fix lintian warnings.
  * Update the copyright file.

  [ Emmanuel Bourg ]
  * No longer integrate icedtea-web with a specific JDK
    (Closes: #743922, #642901, #712292)
  * Merged icedtea-netx-common into icedtea-netx (Closes: #798946, #675082)
  * Package transferred to the Java Team.
  * Removed Damien Raude-Morvan from the uploaders (Closes: #889448)
  * Fixed the detection of Java 10+ in the configure script
  * No longer generate debian/control from template files
  * Updated the .desktop files (Closes: #889553)
  * Build with the DH sequencer
  * Use Breaks/Replaces instead of Conflicts/Replaces in debian/control
  * Standards-Version updated to 4.2.1
  * Switch to debhelper level 11
  * Use a secure URL in debian/watch

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 24 Oct 2018 14:42:28 +0200

icedtea-web (1.6.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply fix from Santiago Vila to fix "dpkg-buildpackage -A".
    (Closes: #831932)

 -- Adrian Bunk <bunk@debian.org>  Sat, 14 Jan 2017 17:46:54 +0200
