=== debian/changelog ===
icedtea-web (1.8-0ubuntu8~18.04) bionic; urgency=medium

  * SRU: LP: #1820086.
  * Backport icedtea-web to 18.04 LTS.
  * Provide empty icedtea-netx-common, icedtea-plugin and icedtea-8-plugin
    packages to match the binary packages found in 18.04 LTS.
    The plugin packages are non-functional, because the NPAPI support
    in browsers was already removed.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Mar 2019 08:53:42 +0100

icedtea-web (1.8-0ubuntu8) disco; urgency=medium

  * Provide a compatibility symlink netx.jar -> javaws.jar.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Mar 2019 14:02:43 +0100

icedtea-web (1.8-0ubuntu7) disco; urgency=medium

  * Merge changes from Debian 1.7.2-1:
    - Added the missing dependency on a Java runtime (Closes: #912464)
    - icedtea-netx now provides icedtea-netx-common (Closes: #911995)

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2019 13:30:24 +0100

icedtea-web (1.8-0ubuntu5) disco; urgency=medium

  * New upstream version.
  * Add JDK 11 support (Michael R. Crusoe). Closes: #912549.
  * Launchers now written in rust, architecture: all -> any.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Mar 2019 17:20:57 +0100
