=== debian/control ===
Source: icedtea-web
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Klose <doko@ubuntu.com>
Build-Depends:
 debhelper (>= 11),
 default-jdk,
 dh-exec,
 pkg-config,
 zip,
 libtagsoup-java,
 librhino-java,
 rustc, cargo,
 bc
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/java-team/icedtea-web.git
Vcs-Browser: https://salsa.debian.org/java-team/icedtea-web
Homepage: http://icedtea.classpath.org/wiki/IcedTea-Web

Package: icedtea-netx
Architecture: any
Depends: ${misc:Depends}, default-jre,
 libtagsoup-java,
 librhino-java,
Breaks:
 icedtea-netx-common (<< 1.7.1-1~),
 openjdk-6-jre (<< 6b18-1.8.7-3),
 openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Replaces:
 icedtea-netx-common (<< 1.7.1-1~),
 openjdk-6-jre (<< 6b18-1.8.7-3),
 openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Provides: icedtea-netx-common
Description: NetX - implementation of the Java Network Launching Protocol (JNLP)
 NetX provides a drop-in replacement for javaws (Java Web Start). Since
 upstream NetX is dormant, IcedTea is hosting and modifying the sources
 in the IcedTea-Web directory.
 .
 IcedTea's NetX currently supports verification of signed jars, trusted
 certificate storing, system certificate store checking, and provides
 the services specified by the jnlp API.

Package: icedtea-netx-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, icedtea-netx
Conflicts: openjdk-6-jre (<< 6b18-1.8.7-3), openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Replaces: icedtea-netx (<< 1.2~),
 icedtea-plugin (<< 1.1.2-1~),
 openjdk-6-jre (<< 6b18-1.8.7-3),
 openjdk-6-jre-headless (<< 6b18-1.8.7-3),
 icedtea-netx (<< 1.8),
Description: NetX - implementation of the Java Network Launching Protocol (JNLP)
 NetX provides a drop-in replacement for javaws (Java Web Start). Since
 upstream NetX is dormant, IcedTea is hosting and modifying the sources
 in the IcedTea-Web directory.
 .
 This package is a dependency package introduced for the 18.04 LTS backport.

Package: icedtea-plugin
Section: web
Architecture: all
Depends: icedtea-8-plugin, ${misc:Depends}
Description: web browser plugin to execute Java applets (dependency package)
 IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
 LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
 browsers that support the NPAPI.
 .
 This is a dependency package, it can be safely removed after upgrade.
 .
 WARNING: This is an empty package; the NPAPI support was removed in
 recent firefox and chromium browsers.

Package: icedtea-8-plugin
Section: web
Architecture: any
Multi-Arch: same
Depends: icedtea-netx (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: icedtea-gcjwebplugin (<< 1.0-1ubuntu4), icedtea6-plugin (<< 6b21.2~pre1-1~), icedtea-plugin (<< 1.2~pre1-1~)
Description: web browser plugin based on OpenJDK and IcedTea to execute Java applets
 IcedTeaPlugin is a web browser plugin to execute Java applets, supporting
 LiveConnect/JavaScript. It is targeted for xulrunner-1.9 and compatible
 browsers that support the NPAPI.
 .
 WARNING: This is an empty package; the NPAPI support was removed in
 recent firefox and chromium browsers.
