=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

buildflags := CXXFLAGS='$(CPPFLAGS) $(CFLAGS)' LDFLAGS='$(LDFLAGS)'

%:
	dh $@

override_dh_auto_configure:
	mkdir -p build/completion
	cd build && $(buildflags) ../configure --prefix=/usr \
	                                       --bindir=/usr/lib/icedtea-web/bin/ \
	                                       --mandir=/usr/lib/icedtea-web/man/ \
	                                       --with-pkgversion="$(DEB_VERSION_UPSTREAM)" \
	                                       --with-itw-libs=DISTRIBUTION \
	                                       --disable-docs \
	                                       --disable-pluginjar \
	                                       --disable-native_plugin \
	                                       --with-java=/usr/bin/java \
	                                       --with-jdk-home=/usr/lib/jvm/default-java

override_dh_auto_build:
	HOME=$(CURDIR) dh_auto_build

override_dh_auto_install:
	HOME=$(CURDIR) $(MAKE) -C build install DESTDIR=$(CURDIR)/debian/tmp

	# compress manpages
	find debian/tmp/usr/share/icedtea-web/man/man1/ -type f ! -type l | xargs gzip -9v -n
