=== debian/watch ===
version=4
https://icedtea.classpath.org/download/source/icedtea-web-(.*)\.tar\.gz
