## icedtea-web 1.8.2

=== debian/changelog ===
icedtea-web (1.8.2-2) unstable; urgency=medium

  * Team upload.
  * Added a symlink restoring /usr/share/icedtea-web/netx.jar (Closes: #932604)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 22 Jul 2019 01:21:27 +0200

icedtea-web (1.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Keep building the shell launchers
    - Set the new --with-itw-libs build flag
  * Track and download the new releases from GitHub
  * Standards-Version updated to 4.4.0

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 19 Jul 2019 00:09:27 +0200
