=== debian/control ===
Source: icedtea-web
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Matthias Klose <doko@ubuntu.com>
Build-Depends:
 debhelper (>= 11),
 default-jdk,
 dh-exec,
 librhino-java,
 libtagsoup-java,
 pkg-config,
 zip
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/java-team/icedtea-web.git
Vcs-Browser: https://salsa.debian.org/java-team/icedtea-web
Homepage: http://icedtea.classpath.org/wiki/IcedTea-Web

Package: icedtea-netx
Architecture: all
Depends: ${misc:Depends}, default-jre, librhino-java, libtagsoup-java
Breaks:
 icedtea-netx-common (<< 1.7.1-1~),
 openjdk-6-jre (<< 6b18-1.8.7-3),
 openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Replaces:
 icedtea-netx-common (<< 1.7.1-1~),
 openjdk-6-jre (<< 6b18-1.8.7-3),
 openjdk-6-jre-headless (<< 6b18-1.8.7-3)
Provides: icedtea-netx-common
Description: Implementation of the Java Network Launching Protocol (JNLP)
 NetX provides a drop-in replacement for javaws (Java Web Start). Since
 upstream NetX is dead, the IcedTea Web project is hosting a fork of the
 original code. However, as icedtea-web has evolved to complex set of tools,
 extensions and tests, it has now only a few lines of code shared with the
 original implementation.
 .
 IcedTea's NetX currently supports verification of signed jars, trusted
 certificate storing, system certificate store checking, and provides
 the services specified by the JNLP API.
