## icedtea-web 1.8.3

=== debian/changelog ===
icedtea-web (1.8.3-2) unstable; urgency=medium

  * Team upload.
  * Use SOURCE_DATE_EPOCH for the timestamps in the documentation to make
    the package reproducible

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 12 Sep 2019 00:15:16 +0200

icedtea-web (1.8.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #934319)
    - Fixes CVE-2019-10181: Unsigned code injection in a signed JAR file
    - Fixes CVE-2019-10182: Path traversal while processing <jar/> elements
      of JNLP files results in arbitrary file overwrite
    - Fixes CVE-2019-10185: Directory traversal in the nested jar
      auto-extraction leading to arbitrary file overwrite

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 09 Aug 2019 18:57:41 +0200
